from django.urls import path

from . import views

urlpatterns = [

    path("profile/", views.ProfileAPIView.as_view()),
    path("profile/complete/", views.ProfileCompleteAPIView.as_view()),

    path("daily-records/", views.DailyRecordAPIView.as_view()),

    path("intolerance/", views.IntoleranceListCreateAPIView.as_view()),
    # path("intolerance/<int:pk>/", views.IntoleranceRetrieveUpdateDestroyAPIView.as_view()),
    path("symptoms/", views.SymptomsListCreateAPIView.as_view()),
    path("past-treatment/", views.PastTreatmentListCreateAPIView.as_view()),
    path("chronic-condition/", views.ChronicConditionListCreateAPIView.as_view()),

    path("medication/", views.MedicationAPIView.as_view()),
    path("medication/<int:pk>/", views.MedicationAPIView.as_view()),

    path("bowel/", views.BowelAPIView.as_view()),
    path("bowel/<int:pk>/", views.BowelAPIView.as_view()),

    path("meal-symptoms/", views.MealSymptomAPIView.as_view()),
    path("meal-symptoms/<int:pk>/", views.MealSymptomAPIView.as_view()),

    path("meal/", views.MealAPIView.as_view()),
    path("meal/duplicate/", views.MealDuplicateAPIView.as_view()),
    path("meal/date/", views.MealDateAPIView.as_view()),
    path("meal/<int:pk>/", views.MealAPIView.as_view()),

    path("food/data/", views.FoodDataAPIView.as_view()),
    path("food/ingredient/data/", views.FoodIngredientSearchAPIView.as_view()),

    path("report/", views.ReportAPIView.as_view()),

]
